#!/bin/bash

# 获取脚本所在目录的绝对路径
SCRIPT_DIR=$(cd "$(dirname "$0")" && pwd)

# 切换工作目录到脚本所在目录
cd "$SCRIPT_DIR" || exit 1

mkdir ./storage/minio
echo "mkdir ./storage/minio\n"
mkdir ./storage/mongo
echo "mkdir ./storage/mongo\n"
mkdir ./storage/pgadmin
echo "mkdir ./storage/pgadmin\n"
mkdir ./storage/portainer
echo "mkdir ./storage/portainer\n"
mkdir ./storage/postgres
echo "mkdir ./storage/postgres\n"
mkdir ./storage/rabbitmq
echo "mkdir ./storage/rabbitmq\n"
mkdir ./storage/redis
echo "mkdir ./storage/redis\n"

chmod 755 -R ./storage
echo "chmod 755 -R ./storage\n"

chown 5050:5050 ./storage/pgadmin
echo "chown 5050:5050 ./storage/pgadmin\n"

echo "All done. Now you can run 'docker compose up -d' to start the services.\n"
